package com.andersjbe.mongospringpractice.repository;

import com.andersjbe.mongospringpractice.model.User;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.mongodb.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface UserRespository extends MongoRepository<User, String> {
    @Query("{'firstName' : ?0}")
    List<User> findByFirstName(String firstName);
}
